@if (isLoading$ | async) {
<ion-spinner name="lines"></ion-spinner>
}
<section
  class="request-form-table"
  [ngStyle]="{
    'min-height': paginator.pageSize > 5 ? '60rem' : '35rem',
    'pointer-events': (isLoading$ | async) ? 'none' : 'all'
  }">
  <mat-table
    [dataSource]="requestFormCollectionsDataSource"
    [hidden]="!hasItems()"
    matSort
    matSortActive="dateOfRegistration"
    matSortDirection="desc"
    matSortDisableClear>
    <ng-container matColumnDef="index">
      <mat-header-cell class="mat-cell--5 mat-cell--start mat-cell--colored" *matHeaderCellDef
        >#
      </mat-header-cell>
      <mat-cell class="mat-cell--5 mat-cell--start" *matCellDef="let collection">
        <strong>{{ collection.index }}</strong>
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="requestorEmail">
      <mat-header-cell
        class="mat-cell--25 mat-cell--start mat-cell--colored"
        *matHeaderCellDef
        mat-sort-header>
        Requestor email
      </mat-header-cell>
      <mat-cell class="mat-cell--25 mat-cell--start" *matCellDef="let collection">
        {{ collection.requestorEmail }}
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="requestorFirstName">
      <mat-header-cell
        class="mat-cell--20 mat-cell--start mat-cell--colored"
        *matHeaderCellDef
        mat-sort-header>
        First name
      </mat-header-cell>
      <mat-cell class="mat-cell--20 mat-cell--start" *matCellDef="let collection">
        {{ collection.requestorFirstName }}
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="requestorLastName">
      <mat-header-cell
        class="mat-cell--20 mat-cell--start mat-cell--colored"
        *matHeaderCellDef
        mat-sort-header>
        Last name
      </mat-header-cell>
      <mat-cell class="mat-cell--20 mat-cell--start" *matCellDef="let collection">
        {{ collection.requestorLastName }}
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="dateOfRegistration">
      <mat-header-cell
        class="mat-cell--15 mat-cell--center mat-cell--colored"
        *matHeaderCellDef
        mat-sort-header>
        Registration date / time
      </mat-header-cell>
      <mat-cell class="mat-cell--15 mat-cell--center" *matCellDef="let collection">
        {{ collection.dateOfRegistration | date : "dd/MM/yyyy HH:mm:ss" }}
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="requestFormStatus">
      <mat-header-cell
        *matHeaderCellDef
        class="mat-cell--center mat-cell--15 mat-cell--colored"
        mat-sort-header>
        Request status
      </mat-header-cell>
      <mat-cell class="mat-cell__status mat-cell--15" *matCellDef="let collection">
        {{ collection.requestFormStatus }}
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="pdaStatus">
      <mat-header-cell
        *matHeaderCellDef
        class="mat-cell--center mat-cell--10 mat-cell--colored"
        [innerHTML]="'Actions'">
      </mat-header-cell>
      <mat-cell class="mat-cell__status mat-cell--10" *matCellDef="let collection">
        <issuer-request-form-actions
          [requestStatus]="collection.requestFormStatus"
          [id]="collection.id"
          [email]="collection.requestorEmail"></issuer-request-form-actions>
      </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="columnsToDisplay"></mat-header-row>
    <mat-row *matRowDef="let collection; columns: columnsToDisplay"></mat-row>
  </mat-table>

  <mat-paginator
    #paginator
    [hidden]="!hasItems()"
    [length]="collectionLength"
    [pageSize]="pageSize"
    [pageSizeOptions]="[5, 10]"
    [showFirstLastButtons]="true"
    (page)="onPageChange($event)">
  </mat-paginator>
</section>
